package gui;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.JFrame;
import javax.swing.JLabel;
import model.City;
import model.Edge;
import model.Hrany;

public class Frame extends JFrame {

	private static final long serialVersionUID = 1L;
	City city;
	public Edge ed;
	Graph panel = new Graph("img/czmapa.png");
	Graphics g;
	int pocetModrych = 0;
	String startCity = "";
		
	/**
	 * Ovldn my
	 */
	public void mysListener(Graphics g) {
		panel.addMouseListener(new MouseAdapter() {
			
			@Override
			public void mouseClicked(MouseEvent e) {
				int x, y;
				x = e.getX();
				y = e.getY();
				
				for (int i = 0; i < panel.getCity().size(); i++) {
					int vzdalenost;
					vzdalenost = (int) Math.sqrt((Math.pow(x - panel.getCity().get(i).x, 2) + Math.pow(y - panel.getCity().get(i).y, 2)));
					repaint();
					if (vzdalenost < 15) {
						pocetModrych++;
						panel.getCity().get(i).barva = Color.BLUE;

						
						if (pocetModrych == 1) {
							startCity = panel.getCity().get(i).name; 

							break;
						} else if (pocetModrych == 2) { 
							panel.vypis(panel.getGraphics(), startCity, panel.getCity().get(i).name);
						
							break;
						} else if (pocetModrych == 3) {
							cityInit();
							panel.getCity().get(i).barva = Color.BLUE;
							startCity = panel.getCity().get(i).name;
							pocetModrych = 1;	
							edgesInit();

							break;
						}				
					}
			
				}
			}
		});
		
	}
	
	public void cityInit(){
		for (int i = 0; i < panel.getCity().size(); i++) {
			panel.getCity().get(i).barva = Color.YELLOW;
		}
	}
	
	public void edgesInit(){
		
		for (Hrany h : panel.getHrany()) {
			h.barva = Color.RED;
		}

	}

	public Frame() {

		panel.setLayout(null);
		setSize(1200, 850);
		setVisible(true);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		getContentPane().add(panel, BorderLayout.CENTER);
		setResizable(false);

		
		JLabel lbl1 = new JLabel("Praha");
		JLabel lbl2 = new JLabel("Liberec");
		JLabel lbl3 = new JLabel("Plze");
		JLabel lbl4 = new JLabel("Hradec Krlov");
		JLabel lbl5 = new JLabel("st nad Labem");
		JLabel lbl6 = new JLabel("esk Budjovice");
		JLabel lbl7 = new JLabel("Jihlava");
		JLabel lbl8 = new JLabel("Pardubice");
		JLabel lbl9 = new JLabel("Brno");
		JLabel lbl10 = new JLabel("Olomouc");
		JLabel lbl11 = new JLabel("Zlin");
		JLabel lbl12 = new JLabel("Ostrava");
		JLabel lbl13 = new JLabel("Karlovy Vary");
		JLabel lbl14 = new JLabel("Koln");
		JLabel lbl15 = new JLabel("Mlad Boleslav");
		JLabel lbl16 = new JLabel("Cheb");
		JLabel lbl17 = new JLabel("Tbor");
		JLabel lbl18 = new JLabel("Psek");
		JLabel lbl19 = new JLabel("Znojmo");
		JLabel lbl20 = new JLabel("Svitavy");
		JLabel lbl21 = new JLabel("Trutnov");
		JLabel lbl22 = new JLabel("Pbram");
		JLabel lbl23 = new JLabel("umperk");
		JLabel lbl24 = new JLabel("Opava");
		JLabel lbl25 = new JLabel("Vsetn");
		JLabel lbl26 = new JLabel("Dn");
		JLabel lbl27 = new JLabel("Klatovy");
		JLabel lbl28 = new JLabel("Hodonn");
		JLabel lbl29 = new JLabel("esk Krumlov");
		JLabel lbl30 = new JLabel("Strakonice");
		
		JLabel lbl31 = new JLabel("Kladno");
		JLabel lbl32 = new JLabel("Havlkv Brod");
		JLabel lbl33 = new JLabel("Jesenk");
		JLabel lbl34 = new JLabel("Nchod");
		JLabel lbl35 = new JLabel("Jindichv Hradec");
		
		
		
		

		panel.add(lbl1);
		panel.add(lbl2);
		panel.add(lbl3);
		panel.add(lbl4);
		panel.add(lbl5);
		panel.add(lbl5);
		panel.add(lbl6);
		panel.add(lbl7);
		panel.add(lbl8);
		panel.add(lbl9);
		panel.add(lbl10);
		panel.add(lbl11);
		panel.add(lbl12);
		panel.add(lbl13);
		panel.add(lbl14);
		panel.add(lbl15);
		panel.add(lbl16);
		panel.add(lbl17);
		panel.add(lbl18);
		panel.add(lbl19);
		panel.add(lbl20);
		panel.add(lbl21);
		panel.add(lbl22);
		panel.add(lbl23);
		panel.add(lbl24);
		panel.add(lbl25);
		panel.add(lbl26);
		panel.add(lbl27);
		panel.add(lbl28);
		panel.add(lbl29);
		panel.add(lbl30);
		panel.add(lbl31);
		panel.add(lbl32);
		panel.add(lbl33);
		panel.add(lbl34);
		panel.add(lbl35);
		
		
		

		lbl1.setLocation(400, 260);
		lbl2.setLocation(500, 70);
		lbl3.setLocation(150, 390);
		lbl4.setLocation(590, 190);
		lbl5.setLocation(260, 130);
		lbl6.setLocation(375, 580);
		lbl7.setLocation(595, 480);
		lbl8.setLocation(610, 295);
		lbl9.setLocation(770, 560);
		lbl10.setLocation(860, 410);
		lbl11.setLocation(950, 540);
		lbl12.setLocation(1050, 350);
		lbl13.setLocation(95,215);
		lbl14.setLocation(510,325);
		lbl15.setLocation(475,205);
		lbl16.setLocation(50,250);
		lbl17.setLocation(440,455);
		lbl18.setLocation(350,478);
		lbl19.setLocation(645,635);
		lbl20.setLocation(745,365);
		lbl21.setLocation(565,100);
		lbl22.setLocation(310,385);
		lbl23.setLocation(822,290);
		lbl24.setLocation(943,315);
		lbl25.setLocation(990,505);
		lbl26.setLocation(377,65);
		lbl27.setLocation(155,480);
		lbl28.setLocation(830,655);
		lbl29.setLocation(343,670);
		lbl30.setLocation(295,575);
		lbl31.setLocation(300,260);
		lbl32.setLocation(580, 400);
		lbl33.setLocation(870,245);
		lbl34.setLocation(650, 145);
		lbl35.setLocation(470, 550);
		
		

		
		
		lbl1.setSize(70, 40);
		lbl2.setSize(70, 40);
		lbl3.setSize(70, 40);
		lbl4.setSize(120, 40);
		lbl5.setSize(150, 40);
		lbl6.setSize(150, 40);
		lbl7.setSize(80, 40);
		lbl8.setSize(90,40);
		lbl9.setSize(80, 40);
		lbl10.setSize(80, 40);
		lbl11.setSize(80, 40);
		lbl12.setSize(80, 40);
		lbl13.setSize(150, 40);
		lbl14.setSize(70, 40);
		lbl15.setSize(150, 40);
		lbl16.setSize(70, 40);
		lbl17.setSize(70, 40);
		lbl18.setSize(70, 40);
		lbl19.setSize(70, 40);
		lbl20.setSize(70, 40);
		lbl21.setSize(70, 40);
		lbl22.setSize(70, 40);
		lbl23.setSize(70, 40);
		lbl24.setSize(70, 40);
		lbl25.setSize(70, 40);
		lbl26.setSize(70, 40);
		lbl27.setSize(70, 40);
		lbl28.setSize(70, 40);
		lbl29.setSize(150, 40);
		lbl30.setSize(700, 40);
		lbl31.setSize(70, 40);
		lbl32.setSize(150, 40);
		lbl33.setSize(70, 40);
		lbl34.setSize(70, 40);
		lbl35.setSize(150, 40);
		
		
		
		
		
		
		
		lbl1.setFont(new Font("Arial", Font.BOLD, 15));
		lbl2.setFont(new Font("Arial", Font.BOLD, 15));
		lbl3.setFont(new Font("Arial", Font.BOLD, 15));
		lbl4.setFont(new Font("Arial", Font.BOLD, 15));
		lbl5.setFont(new Font("Arial", Font.BOLD, 15));
		lbl6.setFont(new Font("Arial", Font.BOLD, 15));
		lbl7.setFont(new Font("Arial", Font.BOLD, 15));
		lbl8.setFont(new Font("Arial", Font.BOLD, 15));
		lbl9.setFont(new Font("Arial", Font.BOLD, 15));
		lbl10.setFont(new Font("Arial", Font.BOLD, 15));
		lbl11.setFont(new Font("Arial", Font.BOLD, 15));
		lbl12.setFont(new Font("Arial", Font.BOLD, 15));
		lbl13.setFont(new Font("Arial", Font.BOLD, 15));
		lbl14.setFont(new Font("Arial", Font.BOLD, 15));
		lbl15.setFont(new Font("Arial", Font.BOLD, 15));
		lbl16.setFont(new Font("Arial", Font.BOLD, 15));
		lbl17.setFont(new Font("Arial", Font.BOLD, 15));
		lbl18.setFont(new Font("Arial", Font.BOLD, 15));
		lbl19.setFont(new Font("Arial", Font.BOLD, 15));
		lbl20.setFont(new Font("Arial", Font.BOLD, 15));
		lbl21.setFont(new Font("Arial", Font.BOLD, 15));
		lbl22.setFont(new Font("Arial", Font.BOLD, 15));
		
		lbl23.setFont(new Font("Arial", Font.BOLD, 15));
		lbl24.setFont(new Font("Arial", Font.BOLD, 15));
		lbl25.setFont(new Font("Arial", Font.BOLD, 15));
		lbl26.setFont(new Font("Arial", Font.BOLD, 15));
		lbl27.setFont(new Font("Arial", Font.BOLD, 15));
		lbl28.setFont(new Font("Arial", Font.BOLD, 15));
		lbl29.setFont(new Font("Arial", Font.BOLD, 15));
		lbl30.setFont(new Font("Arial", Font.BOLD, 15));
		lbl31.setFont(new Font("Arial", Font.BOLD, 15));
		lbl32.setFont(new Font("Arial", Font.BOLD, 15));
		lbl33.setFont(new Font("Arial", Font.BOLD, 15));
		lbl34.setFont(new Font("Arial", Font.BOLD, 15));
		lbl35.setFont(new Font("Arial", Font.BOLD, 15));
		
		
		
		g = panel.getGraphics();
		mysListener(g);
		ed = new Edge(g);
		
		
	}
}
